Permalink
Browse files

Remove dependency on jeweler.

- Allows us to have an always-up-to-date gemspec.
- Use bundler's build/install/release rake tasks rather than jeweler's.
- One less development dependency.
- No need for a separate VERSION file.
  • Loading branch information...
1 parent 8f9dfb1 commit ee4dd372fb1c3f1e499ecf64abbbcec6f90cae95 @myronmarston myronmarston committed Sep 2, 2010
Showing with 30 additions and 82 deletions.
  1. +2 −1 Gemfile
  2. +5 −31 Rakefile
  3. +0 −1 VERSION
  4. +1 −1 lib/rspec/version.rb
  5. +22 −48 rspec.gemspec
View
3 Gemfile
@@ -1,5 +1,6 @@
+source :rubygems
+
gem "rake"
-gem "jeweler"
gem "rspec-core", :path => "../rspec-core"
gem "rspec-expectations", :path => "../rspec-expectations"
gem "rspec-mocks", :path => "../rspec-mocks"
View
36 Rakefile
@@ -1,42 +1,16 @@
require "bundler"
Bundler.setup
+Bundler::GemHelper.install_tasks
require 'rake'
require 'fileutils'
require 'pathname'
-$:.unshift File.expand_path('../lib', __FILE__)
-
-require 'rspec/version'
-
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |gem|
- gem.name = "rspec"
- gem.version = RSpec::Version::STRING
- gem.summary = "rspec-#{RSpec::Version::STRING}"
- gem.description = "Meta-gem that depends on the other rspec gems"
- gem.email = "dchelimsky@gmail.com;chad.humphries@gmail.com"
- gem.homepage = "http://github.com/rspec/rspec"
- gem.authors = ["David Chelimsky", "Chad Humphries"]
- gem.rubyforge_project = "rspec"
- gem.add_dependency "rspec-core", RSpec::Version::STRING
- gem.add_dependency "rspec-expectations", RSpec::Version::STRING
- gem.add_dependency "rspec-mocks", RSpec::Version::STRING
- end
-rescue LoadError
- puts "Jeweler (or a dependency) not available. Install it with: sudo gem install jeweler"
-end
-
-namespace :gem do
- desc "push to gemcutter"
- task :push => :build do
- system "gem push pkg/rspec-#{RSpec::Version::STRING}.gem"
- end
-end
-
task :clobber do
rm_rf 'pkg'
end
-task :default => [:check_dependencies]
+task :default do
+ puts "Nothing to do for the default task"
+end
+
View
1 VERSION
@@ -1 +0,0 @@
-2.0.0.beta.20
View
2 lib/rspec/version.rb
@@ -1,5 +1,5 @@
module RSpec # :nodoc:
module Version # :nodoc:
- STRING = File.readlines(File.expand_path('../../../VERSION', __FILE__)).first
+ STRING = '2.0.0.beta.20'
end
end
View
70 rspec.gemspec
@@ -1,56 +1,30 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
# -*- encoding: utf-8 -*-
+$LOAD_PATH.unshift File.expand_path("../lib", __FILE__)
+require "rspec/version"
+
Gem::Specification.new do |s|
- s.name = %q{rspec}
- s.version = "2.0.0.beta.20"
+ s.name = "rspec"
+ s.version = RSpec::Version::STRING
+ s.platform = Gem::Platform::RUBY
+ s.authors = ["David Chelimsky", "Chad Humphries"]
+ s.email = "dchelimsky@gmail.com;chad.humphries@gmail.com"
+ s.homepage = "http://github.com/rspec/rspec"
+ s.summary = "rspec-#{RSpec::Version::STRING}"
+ s.description = "Meta-gem that depends on the other rspec gems"
- s.required_rubygems_version = Gem::Requirement.new("> 1.3.1") if s.respond_to? :required_rubygems_version=
- s.authors = ["David Chelimsky", "Chad Humphries"]
- s.date = %q{2010-08-24}
- s.description = %q{Meta-gem that depends on the other rspec gems}
- s.email = %q{dchelimsky@gmail.com;chad.humphries@gmail.com}
- s.extra_rdoc_files = [
- "README.markdown"
- ]
- s.files = [
- ".document",
- ".gitignore",
- "Gemfile",
- "License.txt",
- "README.markdown",
- "Rakefile",
- "VERSION",
- "lib/rspec.rb",
- "lib/rspec/version.rb",
- "rspec.gemspec"
- ]
- s.homepage = %q{http://github.com/rspec/rspec}
- s.rdoc_options = ["--charset=UTF-8"]
- s.require_paths = ["lib"]
- s.rubyforge_project = %q{rspec}
- s.rubygems_version = %q{1.3.7}
- s.summary = %q{rspec-2.0.0.beta.20}
+ s.rubygems_version = "1.3.7"
+ s.rubyforge_project = "rspec"
+ s.default_executable = "rspec"
- if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
- s.specification_version = 3
+ s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {spec,features}/*`.split("\n")
+ s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
+ s.extra_rdoc_files = [ "README.markdown" ]
+ s.rdoc_options = ["--charset=UTF-8"]
+ s.require_path = "lib"
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<rspec-core>, ["= 2.0.0.beta.20"])
- s.add_runtime_dependency(%q<rspec-expectations>, ["= 2.0.0.beta.20"])
- s.add_runtime_dependency(%q<rspec-mocks>, ["= 2.0.0.beta.20"])
- else
- s.add_dependency(%q<rspec-core>, ["= 2.0.0.beta.20"])
- s.add_dependency(%q<rspec-expectations>, ["= 2.0.0.beta.20"])
- s.add_dependency(%q<rspec-mocks>, ["= 2.0.0.beta.20"])
- end
- else
- s.add_dependency(%q<rspec-core>, ["= 2.0.0.beta.20"])
- s.add_dependency(%q<rspec-expectations>, ["= 2.0.0.beta.20"])
- s.add_dependency(%q<rspec-mocks>, ["= 2.0.0.beta.20"])
+ %w[core expectations mocks].each do |name|
+ s.add_runtime_dependency "rspec-#{name}", RSpec::Version::STRING
end
end
-

0 comments on commit ee4dd37

Please sign in to comment.